import java.sql.SQLException;
import java.sql.Types;
import java.util.Hashtable;

import javax.sql.RowSet;
import javax.sql.RowSetInternal;
import javax.sql.RowSetMetaData;
import javax.sql.RowSetReader;
import javax.sql.RowSetWriter;
import javax.sql.rowset.CachedRowSet;
import javax.sql.rowset.RowSetMetaDataImpl;
import javax.sql.rowset.spi.SyncFactory;
import javax.sql.rowset.spi.SyncProvider;

import com.sun.rowset.CachedRowSetImpl;


class CustomRowSetWriter implements RowSetWriter {

  public CustomRowSetWriter() {
    System.out.println("CustomRowSetWriter: constructor.");
  }

  public boolean writeData(RowSetInternal caller) throws SQLException {
    System.out.println("--- CustomRowSetWriter: begin. ---");
    if (caller == null) {
      System.out.println("CustomRowSetWriter: caller is null.");
      return false;
    }

    CachedRowSet crs = (CachedRowSet) caller;
    // for now do not write any data
    return true;
  }
}
